JarDirectory (Gradle API 3.2.1)
Date: 2016-11-22

org.gradle.plugins.ide.idea.model

## Class JarDirectory

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.JarDirectory

-     public class JarDirectory
      extends Object

  Represents a jar directory element of an idea module library.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarDirectory(Object path, Object recursive)` Deprecated.
    `JarDirectory(Path path, boolean recursive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Path` | `getPath()` The path of the jar directory
    `int` | `hashCode()`
    `boolean` | `isRecursive()`
    `void` | `setPath(Path path)` The value for the recursive attribute of the jar directory element.
    `void` | `setRecursive(boolean recursive)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JarDirectory

          public JarDirectory(Path path,
                      boolean recursive)

    - #### JarDirectory

          @Deprecated
          public JarDirectory(Object path,
                                 Object recursive)

      Deprecated.

  - ### Method Detail

    - #### getPath

          public Path getPath()

      The path of the jar directory

    - #### setPath

          public void setPath(Path path)

      The value for the recursive attribute of the jar directory element.

    - #### isRecursive

          public boolean isRecursive()

    - #### setRecursive

          public void setRecursive(boolean recursive)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`